Bug 430564 - Cannot run more than 1 application producing sound
Cannot run more than 1 application producing sound
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-28 15:04 EST by Tomas Toth
Modified: 2008-06-13 20:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-13 20:15:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Amarok BackTrace (9.35 KB, text/plain)
2008-01-28 15:04 EST, Tomas Toth
no flags Details
Amarok BackTrace (10.57 KB, text/plain)
2008-01-28 15:06 EST, Tomas Toth
no flags Details

  None (edit)
Description Tomas Toth 2008-01-28 15:04:23 EST
Description of problem:
Cannot launch kaffeine if amarok is running, or vice versa, amarok crashes if
kaffeine is already running.
It seems to be related to pulseaudio and not to the applications, that is why I
am reporting it here.

Moreover both applications also during normal startup reports:
$ kaffeine rocker.wm
11
*** PULSEAUDIO: Unable to connect: Connection refused

$ amarok http://www.play.cz/radio/beat128.ogg.m3u
Amarok: [Loader] Starting amarokapp..
Amarok: [Loader] Don't run gdb, valgrind, etc. against this binary! Use amarokapp.
QLayout "unnamed" added to QVBox "unnamed", which already has a layout
QLayout: Adding KToolBar/mainToolBar (child of QVBox/unnamed) to layout for
PlaylistWindow/PlaylistWindow
QObject::connect: Incompatible sender/receiver arguments
        StarManager::ratingsColorsChanged() -->
ContextBrowser::ratingOrScoreOrLabelsChanged(const QString&)
*** PULSEAUDIO: Unable to connect: Connection refused

But everything seems working fine.
I do not know how much it is related to the 1st problem.


Version-Release number of selected component (if applicable):
akode-pulseaudio.x86_64                  2.0.1-9.fc8            installed
alsa-plugins-pulseaudio.x86_64           1.0.15-2.fc8           installed
kde-settings-pulseaudio.noarch           3.5-35.fc8             installed
pulseaudio.x86_64                        0.9.8-5.fc8            installed
pulseaudio-core-libs.x86_64              0.9.8-5.fc8            installed
pulseaudio-esound-compat.x86_64          0.9.8-5.fc8            installed
pulseaudio-libs.i386                     0.9.8-5.fc8            installed
pulseaudio-libs.x86_64                   0.9.8-5.fc8            installed
pulseaudio-libs-glib2.x86_64             0.9.8-5.fc8            installed
pulseaudio-module-gconf.x86_64           0.9.8-5.fc8            installed
pulseaudio-module-x11.x86_64             0.9.8-5.fc8            installed
pulseaudio-utils.x86_64                  0.9.8-5.fc8            installed

kaffeine.x86_64                          0.8.5-5.fc8            installed
kaffeine-libs.x86_64                     0.8.5-5.fc8            installed

amarok.x86_64                            1.4.8-1.fc8            installed


How reproducible:
100% reproducible.

1.) Kaffein crash:
$ amarok http://www.play.cz/radio/beat128.ogg.m3u
(Amarok runs fine)

$ kaffeine rocker.wm
11
*** PULSEAUDIO: Unable to connect: Connection refused
kaffeine: pulsecore/mutex-posix.c:98: pa_mutex_unlock: Assertion
`pthread_mutex_unlock(&m->mutex) == 0' failed.
KCrash: Application 'kaffeine' crashing...
kaffeine: Fatal IO error: client killed
Unable to start Dr. Konqi

Kaffeine BackTrace:
This backtrace appears to be of no use.
This is probably because your packages are built in a way which prevents
creation of proper backtraces, or the stack frame was seriously corrupted in the
crash.
(no debugging symbols found)
Using host libthread_db library "/lib64/libthread_db.so.1".

2.) Amarok crash:
$ kaffeine rocker.wm &
(Kaffeine runs fine)

$ amarok http://www.play.cz/radio/beat128.ogg.m3u
Amarok: [Loader] Starting amarokapp..
Amarok: [Loader] Don't run gdb, valgrind, etc. against this binary! Use amarokapp.
QLayout "unnamed" added to QVBox "unnamed", which already has a layout
QLayout: Adding KToolBar/mainToolBar (child of QVBox/unnamed) to layout for
PlaylistWindow/PlaylistWindow
QObject::connect: Incompatible sender/receiver arguments
        StarManager::ratingsColorsChanged() -->
ContextBrowser::ratingOrScoreOrLabelsChanged(const QString&)
*** PULSEAUDIO: Unable to connect: Connection refused
amarokapp: pulsecore/mutex-posix.c:98: pa_mutex_unlock: Assertion
`pthread_mutex_unlock(&m->mutex) == 0' failed.

Amarok BackTrace is attached:
  amarok_crash.0.log
  amarok_crash.1.log


Actual results:
Application Crash.


Expected results:
No Crash. Hopefully mixed sound from both applications.


Additional info:
I hope the problem is not dependent on rocker.wm, and any other file will do
:-). At least I tried another wmv with the same result.
Comment 1 Tomas Toth 2008-01-28 15:04:23 EST
Created attachment 293187 [details]
Amarok BackTrace
Comment 2 Tomas Toth 2008-01-28 15:06:47 EST
Created attachment 293188 [details]
Amarok BackTrace
Comment 3 Lubomir Kundrak 2008-02-28 13:06:57 EST
You should run pulseaudio.
I have no idea how is it started in KDE.
Does it start when you launch it manually from command line?
Try "pulseaudio -vvv"
Comment 4 Lennart Poettering 2008-06-13 20:15:38 EDT
Closing because no response.

Note You need to log in before you can comment on or make changes to this bug.